import java.math.BigDecimal;

public class TestBigDecimal {

/* Programme principal                              */

  public static void main(String [] args) {
    BigDecimal val = new BigDecimal("14623456789.0");
    Ecran.afficherln(val);
    BigDecimal v = val.pow(60);
    Ecran.afficherln(v);
    Ecran.afficherln(v.doubleValue());
    Ecran.afficherln(v.precision()-v.scale());
  }
}